Index: src/libged/simulate/simrt.c
===================================================================
--- src/libged/simulate/simrt.c	(revision 54124)
+++ src/libged/simulate/simrt.c	(working copy)
@@ -1316,7 +1316,7 @@
 	struct sim_manifold *rt_mf;
 
     vect_t overlap_min, overlap_max;
-    char *prefix_overlap = "overlap_";
+    char *prefix_overlap = (char *)"overlap_";
     struct bu_vls overlap_name = BU_VLS_INIT_ZERO;
     rt_mf = &(rbB->rt_manifold);
 
@@ -1340,7 +1340,7 @@
 	add_to_comb(sim_params->gedp, sim_params->sim_comb_name, bu_vls_addr(&overlap_name));
 
     /* Clear ray visualization primitives */
-    sim_kill(sim_params->gedp, "ray_*");
+    sim_kill(sim_params->gedp, (char *)"ray_*");
 
 	/* Initialize the rayshot results structure, has to be done for each manifold  */
 	init_rayshot_results();
Index: src/libged/simulate/simutils.h
===================================================================
--- src/libged/simulate/simutils.h	(revision 54124)
+++ src/libged/simulate/simutils.h	(working copy)
@@ -172,7 +172,7 @@
 int
 apply_material(struct ged *gedp,
 	       char* comb,
-	       char* material,
+	       const char* material,
 	       unsigned char r,
 	       unsigned char g,
 	       unsigned char b);
Index: src/libged/simulate/simulate.c
===================================================================
--- src/libged/simulate/simulate.c	(revision 54124)
+++ src/libged/simulate/simulate.c	(working copy)
@@ -78,7 +78,7 @@
 add_regions(struct ged *gedp, struct simulation_params *sim_params)
 {
     struct directory *dp, *ndp;
-    char *prefix = "sim_";
+    char *prefix = (char *)"sim_";
     int i;
     struct rigid_body *prev_node = NULL, *current_node;
     struct bu_vls dp_name_vls = BU_VLS_INIT_ZERO;
Index: src/libged/simulate/simutils.c
===================================================================
--- src/libged/simulate/simutils.c	(revision 54124)
+++ src/libged/simulate/simutils.c	(working copy)
@@ -264,7 +264,7 @@
     char *cmd_args[20];
     int rv, argc = 19;
     char buffer_str[MAX_FLOATING_POINT_STRLEN];
-    char *suffix_reg = "_reg";
+    char *suffix_reg = (char *)"_reg";
     struct bu_vls reg_vls = BU_VLS_INIT_ZERO;
 
     /* Arrow line primitive name */
@@ -331,8 +331,8 @@
     char *cmd_args[20];
     int rv, argc = 19;
     char buffer_str[MAX_FLOATING_POINT_STRLEN];
-    char *prefix_arrow_line = "arrow_line_";
-    char *prefix_arrow_head = "arrow_head_";
+    char *prefix_arrow_line = (char *)"arrow_line_";
+    char *prefix_arrow_head = (char *)"arrow_head_";
     struct bu_vls arrow_line_vls = BU_VLS_INIT_ZERO, arrow_head_vls = BU_VLS_INIT_ZERO;
     char *prefixed_arrow_line, *prefixed_arrow_head;
     vect_t v;
@@ -438,7 +438,7 @@
 int
 apply_material(struct ged *gedp,
 	       char* comb,
-	       char* material,
+	       const char* material,
 	       unsigned char r,
 	       unsigned char g,
 	       unsigned char b)
@@ -573,8 +573,8 @@
     char* cmd_args[28];
     char buffer[MAX_FLOATING_POINT_STRLEN];
     int rv, argc = 27;
-    char *prefix = "bb_";
-    char *prefix_reg = "bb_reg_";
+    char *prefix = (char *)"bb_";
+    char *prefix_reg = (char *)"bb_reg_";
     char *prefixed_name, *prefixed_reg_name;
     struct bu_vls buffer1 = BU_VLS_INIT_ZERO, buffer2 = BU_VLS_INIT_ZERO;
     point_t v;
@@ -714,9 +714,9 @@
     char* cmd_args[28];
     char buffer[20];
     int i, j, rv, argc;
-    char *prefix = "mf_";
-    char *prefix_reg = "mf_reg_";
-    char *prefix_normal = "normal_";
+    char *prefix = (char *)"mf_";
+    char *prefix_reg = (char *)"mf_reg_";
+    char *prefix_normal = (char *)"normal_";
     struct bu_vls name = BU_VLS_INIT_ZERO,
 	prefixed_name = BU_VLS_INIT_ZERO,
 	prefixed_reg_name = BU_VLS_INIT_ZERO,
Index: src/libged/preview.c
===================================================================
--- src/libged/preview.c	(revision 54124)
+++ src/libged/preview.c	(working copy)
@@ -338,7 +338,7 @@
 		preview_finalframe = atof(bu_optarg);
 		break;
 	    case 'o':
-		image_name = bu_optarg;
+		image_name = (char *)bu_optarg;
 		break;
 	    case 'v':
 		preview_mode = 3;	/* Like "ev" */
@@ -430,7 +430,7 @@
     fp = NULL;
 
     if (draw_eye_path)
-	_ged_cvt_vlblock_to_solids(gedp, preview_vbp, "EYE_PATH", 0);
+	_ged_cvt_vlblock_to_solids(gedp, preview_vbp, (char *)"EYE_PATH", 0);
 
     if (preview_vbp) {
 	rt_vlblock_free(preview_vbp);
Index: src/libged/open.c
===================================================================
--- src/libged/open.c	(revision 54124)
+++ src/libged/open.c	(working copy)
@@ -60,7 +60,7 @@
 	    return GED_ERROR;
 	}
 
-	av[0] = "zap";
+	av[0] = (char *)"zap";
 	av[1] = (char *)0;
 	ged_zap(gedp, 1, (const char **)av);
 
Index: src/libged/wdb_qray.h
===================================================================
--- src/libged/wdb_qray.h	(revision 54124)
+++ src/libged/wdb_qray.h	(working copy)
@@ -44,7 +44,7 @@
 
 struct dg_qray_fmt_data {
     char type;
-    char *fmt;
+    const char *fmt;
 };
 
 
Index: src/libged/log.c
===================================================================
--- src/libged/log.c	(revision 54124)
+++ src/libged/log.c	(working copy)
@@ -52,7 +52,7 @@
 int
 ged_log(struct ged *gedp, int argc, const char *argv[])
 {
-    static char *usage = "get|start|stop";
+    static const char *usage = "get|start|stop";
 
     GED_CHECK_DATABASE_OPEN(gedp, GED_ERROR);
     GED_CHECK_READ_ONLY(gedp, GED_ERROR);
Index: src/libged/rt.c
===================================================================
--- src/libged/rt.c	(revision 54124)
+++ src/libged/rt.c	(working copy)
@@ -550,7 +550,7 @@
 
     vp = &gedp->ged_gdp->gd_rt_cmd[0];
     *vp++ = rt;
-    *vp++ = "-M";
+    *vp++ = (char *)"-M";
 
     if (gedp->ged_gvp->gv_perspective > 0) {
 	(void)sprintf(pstring, "-p%g", gedp->ged_gvp->gv_perspective);
@@ -571,8 +571,8 @@
 
     /* default to local units when not specified on command line */
     if (!units_supplied) {
-	*vp++ = "-u";
-	*vp++ = "model";
+	*vp++ = (char *)"-u";
+	*vp++ = (char *)"model";
     }
 
     /* XXX why is this different for win32 only? */
Index: src/libged/tire.c
===================================================================
--- src/libged/tire.c	(revision 54124)
+++ src/libged/tire.c	(working copy)
@@ -43,7 +43,7 @@
 #define ROWS 5
 #define COLS 5
 
-static char *options="an:c:d:W:R:D:g:j:p:s:t:u:w:h";
+static const char *options="an:c:d:W:R:D:g:j:p:s:t:u:w:h";
 
 /**
  * Help message printed when -h option is supplied
Index: src/libged/putmat.c
===================================================================
--- src/libged/putmat.c	(revision 54124)
+++ src/libged/putmat.c	(working copy)
@@ -229,10 +229,10 @@
 	    bu_vls_printf(gedp->ged_result_str, "%s: error in matrix specification (wrong number of args)\n", argv[0]);
 	    return GED_ERROR;
     }
-    newargv[0] = "arced";
+    newargv[0] = (char *)"arced";
     newargv[1] = (char *)argv[1];
-    newargv[2] = "matrix";
-    newargv[3] = "rarc";
+    newargv[2] = (char *)"matrix";
+    newargv[3] = (char *)"rarc";
 
     got = bu_argv_from_string(&newargv[4], 16, bu_vls_addr(avp));
     if (got != 16) {
Index: src/libged/nirt.c
===================================================================
--- src/libged/nirt.c	(revision 54124)
+++ src/libged/nirt.c	(working copy)
@@ -173,23 +173,23 @@
     i = 0;
     if (DG_QRAY_GRAPHICS(gedp->ged_gdp)) {
 
-	*vp++ = "-e";
-	*vp++ = DG_QRAY_FORMAT_NULL;
+	*vp++ = (char *)"-e";
+	*vp++ = (char *)DG_QRAY_FORMAT_NULL;
 
 	/* first ray ---- returns partitions */
-	*vp++ = "-e";
-	*vp++ = DG_QRAY_FORMAT_P;
+	*vp++ = (char *)"-e";
+	*vp++ = (char *)DG_QRAY_FORMAT_P;
 
 	/* ray start, direction, and 's' command */
-	*vp++ = "-e";
+	*vp++ = (char *)"-e";
 	*vp++ = bu_vls_addr(&p_vls);
 
 	/* second ray ---- returns overlaps */
-	*vp++ = "-e";
-	*vp++ = DG_QRAY_FORMAT_O;
+	*vp++ = (char *)"-e";
+	*vp++ = (char *)DG_QRAY_FORMAT_O;
 
 	/* ray start, direction, and 's' command */
-	*vp++ = "-e";
+	*vp++ = (char *)"-e";
 	*vp++ = bu_vls_addr(&p_vls);
 
 	if (DG_QRAY_TEXT(gedp->ged_gdp)) {
@@ -230,7 +230,7 @@
 
 	    i = 1;
 
-	    *vp++ = "-e";
+	    *vp++ = (char *)"-e";
 	    *vp++ = bu_vls_addr(&o_vls);
 	}
     }
@@ -243,7 +243,7 @@
 			  gedp->ged_gdp->gd_qray_fmts[i].type,
 			  bu_vls_addr(&gedp->ged_gdp->gd_qray_fmts[i].fmt));
 
-	*vp++ = "-e";
+	*vp++ = (char *)"-e";
 	*vp++ = bu_vls_addr(&t_vls);
 
 	/* nirt does not like the trailing ';' */
@@ -252,11 +252,11 @@
 
     /* include nirt script string */
     if (bu_vls_strlen(&gedp->ged_gdp->gd_qray_script)) {
-	*vp++ = "-e";
+	*vp++ = (char *)"-e";
 	*vp++ = bu_vls_addr(&gedp->ged_gdp->gd_qray_script);
     }
 
-    *vp++ = "-e";
+    *vp++ = (char *)"-e";
     *vp++ = bu_vls_addr(&p_vls);
 
     for (i = 1; i < argc; i++)
@@ -633,7 +633,7 @@
     bu_vls_printf(&z_vls, "%lf", center_model[Z]);
 
     /* pass remaining arguments to ged nirt command */
-    av[0] = "nirt";
+    av[0] = (char *)"nirt";
     for (i = 1; i < argc; ++i)
 	av[i] = (char *)argv[i];
 
Index: src/libged/killtree.c
===================================================================
--- src/libged/killtree.c	(revision 54124)
+++ src/libged/killtree.c	(working copy)
@@ -129,7 +129,7 @@
     gktd.av = bu_calloc(1, sizeof(char *) * AV_STEP, "alloc av");
     gktd.av_capacity = AV_STEP;
     BU_ASSERT(gktd.ac + argc + 2 < AV_STEP); /* potential -n opts */
-    gktd.av[0] = "killrefs";
+    gktd.av[0] = (char *)"killrefs";
     gktd.av[1] = (char *)0;
 
     bu_optind = 1;
Index: src/libged/overlay.c
===================================================================
--- src/libged/overlay.c	(revision 54124)
+++ src/libged/overlay.c	(working copy)
@@ -64,7 +64,7 @@
     }
 
     if (argc == 3)
-	name = "_PLOT_OVERLAY_";
+	name = (char *)"_PLOT_OVERLAY_";
     else
 	name = (char *)argv[3];
 
Index: src/libged/wdb_obj.c
===================================================================
--- src/libged/wdb_obj.c	(revision 54124)
+++ src/libged/wdb_obj.c	(working copy)
@@ -3231,7 +3231,7 @@
     struct bu_vls str;
     int id;
     int recurse = 0;
-    char *listeval = "listeval";
+    char *listeval = (char *)"listeval";
     struct rt_db_internal intern;
 
     if (argc < 2) {
Index: src/libged/make_name.c
===================================================================
--- src/libged/make_name.c	(revision 54124)
+++ src/libged/make_name.c	(working copy)
@@ -82,7 +82,7 @@
 	bu_vls_putc(&obj_name, *cp);
     }
     bu_vls_putc(&obj_name, '\0');
-    tp = (*cp == '\0') ? "" : cp + 1;
+    tp = (*cp == '\0') ? (char *)"" : cp + 1;
 
     do {
 	bu_vls_trunc(&obj_name, len);
Index: src/libged/make_pnts.c
===================================================================
--- src/libged/make_pnts.c	(revision 54124)
+++ src/libged/make_pnts.c	(working copy)
@@ -82,7 +82,7 @@
 	    break;							\
     }
 
-static char *p_make_pnts[] = {
+static const char *p_make_pnts[] = {
     "Enter point-cloud name: ",
     "Enter point file path and name: ",
     "Enter file data format (xyzrgbsijk?): ",
@@ -277,7 +277,7 @@
 
     static const char *usage = "point_cloud_name filename_with_path file_format file_data_units default_point_size";
 
-    prompt = &p_make_pnts[0];
+    prompt = (char **)&p_make_pnts[0];
 
     GED_CHECK_DATABASE_OPEN(gedp, GED_ERROR);
     GED_CHECK_READ_ONLY(gedp, GED_ERROR);
Index: src/libged/bigE.c
===================================================================
--- src/libged/bigE.c	(revision 54124)
+++ src/libged/bigE.c	(working copy)
@@ -2068,7 +2068,7 @@
 	    case 'C':
 		{
 		    int r, g, b;
-		    char *cp = bu_optarg;
+		    char *cp = (char *)bu_optarg;
 
 		    r = atoi(cp);
 		    while ((*cp >= '0' && *cp <= '9')) cp++;
Index: src/libged/rtwizard.c
===================================================================
--- src/libged/rtwizard.c	(revision 54124)
+++ src/libged/rtwizard.c	(working copy)
@@ -268,21 +268,21 @@
 
     vp = &gedp->ged_gdp->gd_rt_cmd[0];
     *vp++ = rt;
-    *vp++ = "--no-gui";
-    *vp++ = "--viewsize";
+    *vp++ = (char *)"--no-gui";
+    *vp++ = (char *)"--viewsize";
     *vp++ = bu_vls_addr(&size_vls);
-    *vp++ = "--orientation";
+    *vp++ = (char *)"--orientation";
     *vp++ = bu_vls_addr(&orient_vls);
-    *vp++ = "--eye_pt";
+    *vp++ = (char *)"--eye_pt";
     *vp++ = bu_vls_addr(&eye_vls);
 
     if (gedp->ged_gvp->gv_perspective > 0) {
-	*vp++ = "--perspective";
+	*vp++ = (char *)"--perspective";
 	(void)sprintf(pstring, "%g", gedp->ged_gvp->gv_perspective);
 	*vp++ = pstring;
     }
 
-    *vp++ = "-i";
+    *vp++ = (char *)"-i";
     /* XXX why is this different for win32 only? */
 #ifdef _WIN32
     {
Index: src/libged/edit.c
===================================================================
--- src/libged/edit.c	(revision 54124)
+++ src/libged/edit.c	(working copy)
@@ -561,10 +561,10 @@
     const union edit_cmd *const cmd, int idx);
 
 struct edit_cmd_tab {
-    char *name;
-    char *opt_global;
-    char *usage;
-    char *help;
+    const char *name;
+    const char *opt_global;
+    const char *usage;
+    const char *help;
     int enabled;
 #define EDIT_CMD_DISABLE 0x0
 #define EDIT_CMD_ENABLE 0x1
@@ -1608,7 +1608,7 @@
  * Table of edit command data/functions
  */
 static const struct edit_cmd_tab edit_cmds[] = {
-    {"help", (char *)NULL, "[subcommand]", "[subcommand]",
+    {"help", (const char *)NULL, "[subcommand]", "[subcommand]",
      EDIT_CMD_ENABLE, NULL, NULL, NULL
 #define EDIT_CMD_HELP 0 /* idx of "help" in edit_cmds */
     },
Index: src/libged/vrot.c
===================================================================
--- src/libged/vrot.c	(revision 54124)
+++ src/libged/vrot.c	(working copy)
@@ -60,7 +60,7 @@
     }
 
     av[0] = (char *)argv[0];
-    av[1] = "-v";
+    av[1] = (char *)"-v";
     ac = argc+1;
     for (i = 1; i < argc; ++i)
 	av[i+1] = (char *)argv[i];
Index: src/libged/3ptarb.c
===================================================================
--- src/libged/3ptarb.c	(revision 54124)
+++ src/libged/3ptarb.c	(working copy)
@@ -35,7 +35,7 @@
 #include "./ged_private.h"
 
 
-static char *p_arb3pt[] = {
+static const char *p_arb3pt[] = {
     "Enter X, Y, Z for point 1: ",
     "Enter Y, Z: ",
     "Enter Z: ",
@@ -83,7 +83,7 @@
     GED_CHECK_EXISTS(gedp, argv[1], LOOKUP_QUIET, GED_ERROR);
 
     /* read the three points */
-    prompts = &p_arb3pt[0];
+    prompts = (char **)&p_arb3pt[0];
     if (argc < 11) {
 	bu_vls_printf(gedp->ged_result_str, "%s", prompts[argc-2]);
 	return GED_MORE;
Index: src/libged/bot_dump.c
===================================================================
--- src/libged/bot_dump.c	(revision 54124)
+++ src/libged/bot_dump.c	(working copy)
@@ -790,10 +790,10 @@
 		normals=1;
 		break;
 	    case 'm':
-		output_directory = bu_optarg;
+		output_directory = (char *)bu_optarg;
 		break;
 	    case 'o':		/* Output file name. */
-		output_file = bu_optarg;
+		output_file = (char *)bu_optarg;
 		break;
 	    case 't':
 		if (BU_STR_EQUAL("dxf", bu_optarg))
@@ -876,7 +876,7 @@
 	fp = stdout;
 
 	/* Set this to something non-null in order to possibly write eof */
-	output_file = "stdout";
+	output_file = (char *)"stdout";
     }
 
     if (output_file) {
@@ -945,17 +945,17 @@
     if (output_directory) {
 	switch (output_type) {
 	    case OTYPE_DXF:
-		file_ext = ".dxf";
+		file_ext = (char *)".dxf";
 		break;
 	    case OTYPE_OBJ:
-		file_ext = ".obj";
+		file_ext = (char *)".obj";
 		break;
 	    case OTYPE_SAT:
-		file_ext = ".sat";
+		file_ext = (char *)".sat";
 		break;
 	    case OTYPE_STL:
 	    default:
-		file_ext = ".stl";
+		file_ext = (char *)".stl";
 		break;
 	}
     }
@@ -1358,7 +1358,7 @@
 	fp = stdout;
 
 	/* Set this to something non-null in order to possibly write eof */
-	output_file = "stdout";
+	output_file = (char *)"stdout";
     }
 
     if (output_file) {
@@ -1423,10 +1423,10 @@
     if (output_directory) {
 	switch (output_type) {
 	    case OTYPE_DXF:
-		file_ext = ".dxf";
+		file_ext = (char *)".dxf";
 		break;
 	    case OTYPE_OBJ:
-		file_ext = ".obj";
+		file_ext = (char *)".obj";
 
 		BU_LIST_INIT(&HeadObjMaterials);
 
@@ -1464,11 +1464,11 @@
 
 		break;
 	    case OTYPE_SAT:
-		file_ext = ".sat";
+		file_ext = (char *)".sat";
 		break;
 	    case OTYPE_STL:
 	    default:
-		file_ext = ".stl";
+		file_ext = (char *)".stl";
 		break;
 	}
     } else if (output_type == OTYPE_OBJ) {
Index: src/libged/dg_obj.c
===================================================================
--- src/libged/dg_obj.c	(revision 54124)
+++ src/libged/dg_obj.c	(working copy)
@@ -4051,7 +4051,7 @@
 		    break;
 		case 'C': {
 		    int r, g, b;
-		    char *cp = bu_optarg;
+		    char *cp = (char *)bu_optarg;
 
 		    r = atoi(cp);
 		    while ((*cp >= '0' && *cp <= '9')) cp++;
Index: src/libged/draw.c
===================================================================
--- src/libged/draw.c	(revision 54124)
+++ src/libged/draw.c	(working copy)
@@ -1023,7 +1023,7 @@
 		case 'C':
 		    {
 			int r, g, b;
-			char *cp = bu_optarg;
+			char *cp = (char *)bu_optarg;
 
 			r = atoi(cp);
 			while ((*cp >= '0' && *cp <= '9')) cp++;
@@ -1208,7 +1208,7 @@
 		}
 
 		if (dgcdp->draw_edge_uses) {
-		    _ged_cvt_vlblock_to_solids(gedp, dgcdp->draw_edge_uses_vbp, "_EDGEUSES_", 0);
+		    _ged_cvt_vlblock_to_solids(gedp, dgcdp->draw_edge_uses_vbp, (char *)"_EDGEUSES_", 0);
 		    rt_vlblock_free(dgcdp->draw_edge_uses_vbp);
 		    dgcdp->draw_edge_uses_vbp = (struct bn_vlblock *)NULL;
 		}
Index: src/libged/gqa.c
===================================================================
--- src/libged/gqa.c	(revision 54124)
+++ src/libged/gqa.c	(working copy)
@@ -53,8 +53,8 @@
 
 
 /* bu_getopt() options */
-char *options = "A:a:de:f:g:Gn:N:pP:rS:s:t:U:u:vV:W:";
-char *options_str = "[-A A|a|b|c|e|g|m|o|p|v|w] [-a az] [-d] [-e el] [-f densityFile] [-g spacing|upper, lower|upper-lower] [-G] [-n nhits] [-N nviews] [-p] [-P ncpus] [-r] [-S nsamples] [-t overlap_tol] [-U useair] [-u len_units vol_units wt_units] [-v] [-V volume_tol] [-W weight_tol]";
+const const char *options = "A:a:de:f:g:Gn:N:pP:rS:s:t:U:u:vV:W:";
+const const char *options_str = "[-A A|a|b|c|e|g|m|o|p|v|w] [-a az] [-d] [-e el] [-f densityFile] [-g spacing|upper, lower|upper-lower] [-G] [-n nhits] [-N nviews] [-p] [-P ncpus] [-r] [-S nsamples] [-t overlap_tol] [-U useair] [-u len_units vol_units wt_units] [-v] [-V volume_tol] [-W weight_tol]";
 
 #define ANALYSIS_VOLUME 1
 #define ANALYSIS_WEIGHT 2
@@ -417,7 +417,7 @@
  * 0 Success
  */
 int
-read_units_double(double *val, char *buf, const struct cvt_tab *cvt)
+read_units_double(double *val, const char *buf, const struct cvt_tab *cvt)
 {
     double a;
     char units_string[256] = {0};
@@ -481,7 +481,7 @@
 		{
 		    analysis_flags = 0;
 		    multiple_analyses = 0;
-		    for (p = bu_optarg; *p; p++) {
+		    for (p = (char *)bu_optarg; *p; p++) {
 			switch (*p) {
 			    case 'A' :
 				analysis_flags = ANALYSIS_VOLUME | ANALYSIS_WEIGHT | \
@@ -580,7 +580,7 @@
 		break;
 	    case 'd': debug = 1; break;
 
-	    case 'f': densityFileName = bu_optarg; break;
+	    case 'f': densityFileName = (char *)bu_optarg; break;
 
 	    case 'g':
 		{
@@ -692,7 +692,7 @@
 		break;
 	    case 'u':
 		{
-		    char *ptr = bu_optarg;
+		    char *ptr = (char *)bu_optarg;
 		    const struct cvt_tab *cv;
 		    static const char *dim[3] = {"length", "volume", "weight"};
 		    char *units_name[3] = {NULL, NULL, NULL};
@@ -1640,7 +1640,7 @@
 
     /* if the vol/weight tolerances are not set, pick something */
     if (analysis_flags & ANALYSIS_VOLUME) {
-	char *name = "volume.pl";
+	const char *name = "volume.pl";
 	if (ZERO(volume_tolerance - 1.0)) {
 	    volume_tolerance = span[X] * span[Y] * span[Z] * 0.001;
 	    bu_vls_printf(_ged_current_gedp->ged_result_str, "setting volume tolerance to %g %s\n",
@@ -1669,7 +1669,7 @@
 	}
     }
     if (analysis_flags & ANALYSIS_GAP) {
-	char *name = "gaps.pl";
+	const char *name = "gaps.pl";
 	if (plot_files)
 	    if ((plot_gaps=fopen(name, "wb")) == (FILE *)NULL) {
 		bu_vls_printf(_ged_current_gedp->ged_result_str, "cannot open plot file %s\n", name);
@@ -1680,7 +1680,7 @@
 	if (!ZERO(overlap_tolerance))
 	    bu_vls_printf(_ged_current_gedp->ged_result_str, "overlap tolerance to %g\n", overlap_tolerance);
 	if (plot_files) {
-	    char *name = "overlaps.pl";
+	    const char *name = "overlaps.pl";
 	    if ((plot_overlaps=fopen(name, "wb")) == (FILE *)NULL) {
 		bu_vls_printf(_ged_current_gedp->ged_result_str, "cannot open plot file %s\n", name);
 		return GED_ERROR;
@@ -1694,7 +1694,7 @@
 
     if (analysis_flags & ANALYSIS_ADJ_AIR)
 	if (plot_files) {
-	    char *name = "adj_air.pl";
+	    const char *name = "adj_air.pl";
 	    if ((plot_adjair=fopen(name, "wb")) == (FILE *)NULL) {
 		bu_vls_printf(_ged_current_gedp->ged_result_str, "cannot open plot file %s\n", name);
 		return GED_ERROR;
@@ -1703,7 +1703,7 @@
 
     if (analysis_flags & ANALYSIS_EXP_AIR)
 	if (plot_files) {
-	    char *name = "exp_air.pl";
+	    const char *name = "exp_air.pl";
 	    if ((plot_expair=fopen(name, "wb")) == (FILE *)NULL) {
 		bu_vls_printf(_ged_current_gedp->ged_result_str, "cannot open plot file %s\n", name);
 		return GED_ERROR;
@@ -2551,7 +2551,7 @@
 	summary_reports(&state);
 
 	if (analysis_flags & ANALYSIS_PLOT_OVERLAPS)
-	    _ged_cvt_vlblock_to_solids(gedp, ged_gqa_plot.vbp, "OVERLAPS", 0);
+	    _ged_cvt_vlblock_to_solids(gedp, ged_gqa_plot.vbp, (char *)"OVERLAPS", 0);
     } else
 	aborted = 0; /* reset flag */
 
Index: src/libged/mrot.c
===================================================================
--- src/libged/mrot.c	(revision 54124)
+++ src/libged/mrot.c	(working copy)
@@ -60,7 +60,7 @@
     }
 
     av[0] = (char *)argv[0];
-    av[1] = "-m";
+    av[1] = (char *)"-m";
     ac = argc+1;
     for (i = 1; i < argc; ++i)
 	av[i+1] = (char *)argv[i];
Index: src/libged/rect.c
===================================================================
--- src/libged/rect.c	(revision 54124)
+++ src/libged/rect.c	(working copy)
@@ -184,18 +184,18 @@
 		      gedp->ged_gvp->gv_rect.grs_bg[1],
 		      gedp->ged_gvp->gv_rect.grs_bg[2]);
 
-	av[0] = "rt";
-	av[1] = "-w";
+	av[0] = (char *)"rt";
+	av[1] = (char *)"-w";
 	av[2] = bu_vls_addr(&wvls);
-	av[3] = "-n";
+	av[3] = (char *)"-n";
 	av[4] = bu_vls_addr(&nvls);
-	av[5] = "-V";
+	av[5] = (char *)"-V";
 	av[6] = bu_vls_addr(&vvls);
-	av[7] = "-F";
+	av[7] = (char *)"-F";
 	av[8] = bu_vls_addr(&fvls);
-	av[9] = "-j";
+	av[9] = (char *)"-j";
 	av[10] = bu_vls_addr(&jvls);
-	av[11] = "-C";
+	av[11] = (char *)"-C";
 	av[12] = bu_vls_addr(&cvls);
 	av[13] = (char *)0;
 
Index: src/libged/wdb_bigE.c
===================================================================
--- src/libged/wdb_bigE.c	(revision 54124)
+++ src/libged/wdb_bigE.c	(working copy)
@@ -2053,7 +2053,7 @@
 	switch (c) {
 	    case 'C': {
 		int r, g, b;
-		char *cp = bu_optarg;
+		char *cp = (char *)bu_optarg;
 
 		r = atoi(cp);
 		while ((*cp >= '0' && *cp <= '9')) cp++;
Index: src/libged/edcodes.c
===================================================================
--- src/libged/edcodes.c	(revision 54124)
+++ src/libged/edcodes.c	(working copy)
@@ -214,7 +214,7 @@
 	return GED_ERROR;
 
     av = (char **)bu_malloc(sizeof(char *)*(argc + 2), "ged_edcodes av");
-    av[0] = "wcodes";
+    av[0] = (char *)"wcodes";
     av[1] = tmpfil;
     for (i = 2; i < argc + 1; ++i)
 	av[i] = (char *)argv[i-1];
@@ -276,7 +276,7 @@
     }
 
     if (_ged_editit(editstring, tmpfil)) {
-	av[0] = "rcodes";
+	av[0] = (char *)"rcodes";
 	av[2] = NULL;
 	status = ged_rcodes(gedp, 2, (const char **)av);
     } else
Index: src/libged/human.c
===================================================================
--- src/libged/human.c	(revision 54124)
+++ src/libged/human.c	(working copy)
@@ -100,7 +100,7 @@
 #define IN2MM	25.4	/*Convert an inch measurement to millimeters */
 #define CM2MM	10.0	/*Convert centimeters to millimeters */
 
-char *progname = "Human Model";
+const char *progname = "Human Model";
 char filename[MAXLENGTH]=DEFAULT_FILENAME;
 char humanName[MAXLENGTH]=DEFAULT_HUMANNAME;
 
@@ -1643,7 +1643,7 @@
 read_args(int argc, const char **argv, char *topLevel, struct human_data_t *dude, fastf_t *percentile, fastf_t *location, int *stance, int *troops, int *showBoxes)
 {
     int c = 'A';
-    char *options="AbH:hLlmn:N:O:o:p:s:tTvVw1:2:3:4:5:6:7:8:9:0:=:+:_:*:^:%:$:#:@:!:Q:~:Z:Y:X:";
+    const char *options="AbH:hLlmn:N:O:o:p:s:tTvVw1:2:3:4:5:6:7:8:9:0:=:+:_:*:^:%:$:#:@:!:Q:~:Z:Y:X:";
     float height=0;
     int soldiers=0;
     int pose=0;
Index: src/libged/loadview.c
===================================================================
--- src/libged/loadview.c	(revision 54124)
+++ src/libged/loadview.c	(working copy)
@@ -208,7 +208,7 @@
 		    sscanf(objects, "%10000s", objects);
 		}
 
-		editArgv[0] = "draw";
+		editArgv[0] = (char *)"draw";
 		editArgv[1] = objects;
 		editArgv[2] = (char *)NULL;
 		if (ged_draw(gedp, 2, (const char **)editArgv) != GED_OK) {
Index: src/libged/make.c
===================================================================
--- src/libged/make.c	(revision 54124)
+++ src/libged/make.c	(working copy)
@@ -659,21 +659,21 @@
 	VSET(extrude_ip->u_vec, 1.0, 0.0, 0.0);
 	VSET(extrude_ip->v_vec, 0.0, 1.0, 0.0);
 	extrude_ip->keypoint = 0;
-	av[0] = "make_name";
-	av[1] = "skt_";
+	av[0] = (char *)"make_name";
+	av[1] = (char *)"skt_";
 	ged_make_name(gedp, 2, (const char **)av);
 	extrude_ip->sketch_name = bu_strdup(bu_vls_addr(gedp->ged_result_str));
 	extrude_ip->skt = (struct rt_sketch_internal *)NULL;
 
 	sprintf(center_str, "%f %f %f", V3ARGS(origin));
 	sprintf(scale_str, "%f", scale);
-	av[0] = "make";
-	av[1] = "-o";
+	av[0] = (char *)"make";
+	av[1] = (char *)"-o";
 	av[2] = center_str;
-	av[3] = "-s";
+	av[3] = (char *)"-s";
 	av[4] = scale_str;
 	av[5] = extrude_ip->sketch_name;
-	av[6] = "sketch";
+	av[6] = (char *)"sketch";
 	av[7] = (char *)0;
 	ged_make(gedp, 7, (const char **)av);
     } else if (BU_STR_EQUAL(argv[bu_optind+1], "sketch")) {
Index: src/libged/fb2pix.c
===================================================================
--- src/libged/fb2pix.c	(revision 54124)
+++ src/libged/fb2pix.c	(working copy)
@@ -91,7 +91,7 @@
     if (bu_optind >= argc) {
 	if (isatty(fileno(stdout)))
 	    return 0;
-	file_name = "-";
+	file_name = (char *)"-";
 	outfp = stdout;
     } else {
 	file_name = argv[bu_optind];
Index: src/proc-db/spltest.c
===================================================================
--- src/proc-db/spltest.c	(revision 54124)
+++ src/proc-db/spltest.c	(working copy)
@@ -106,7 +106,7 @@
     if (argc == 2) {
 	filename = argv[1];
     } else {
-	filename = "spltest.g";
+	filename = (char *)"spltest.g";
     }
 
     if ((fp = wdb_fopen(filename)) == NULL) {
Index: src/proc-db/lens.c
===================================================================
--- src/proc-db/lens.c	(revision 54124)
+++ src/proc-db/lens.c	(working copy)
@@ -215,7 +215,7 @@
 int ReadArgs(int argc, char **argv, int *lens_1side_2side, fastf_t *ref_ind, fastf_t *diameter, fastf_t *thickness, fastf_t *focal_length)
 {
     int c = 0;
-    char *options="T:r:d:t:f:";
+    const char *options="T:r:d:t:f:";
     int ltype;
     float refractive, diam, thick, focal;
 
Index: src/proc-db/nmgmodel.c
===================================================================
--- src/proc-db/nmgmodel.c	(revision 54124)
+++ src/proc-db/nmgmodel.c	(working copy)
@@ -50,9 +50,9 @@
 
 
 /* declarations to support use of bu_getopt() system call */
-char *options = "h3210";
+const char *options = "h3210";
 
-char *progname = "(noname)";
+const char *progname = "(noname)";
 char plotfilename[1024] = {0};
 char mfilename[1024] = {0};
 
@@ -535,7 +535,7 @@
 
     if (parse_args(ac, av) < ac) usage((char *)NULL);
     if (!manifold[0] && !manifold[1] && !manifold[2] && !manifold[3])
-	usage("No manifolds selected\n");
+	usage((char *)"No manifolds selected\n");
 
 
     m = nmg_mm();
Index: src/proc-db/brickwall.c
===================================================================
--- src/proc-db/brickwall.c	(revision 54124)
+++ src/proc-db/brickwall.c	(working copy)
@@ -36,15 +36,15 @@
 #include "vmath.h"
 
 /* declarations to support use of bu_getopt() */
-char *options = "w:h:d:W:H:sn:t:Du:mc:C:";
+const char *options = "w:h:d:W:H:sn:t:Du:mc:C:";
 
-char *progname = "(noname)";
+const char *progname = "(noname)";
 double brick_width=8.0;
 double brick_height=2.25;
 double brick_depth=3.325;
 double wall_width=0.0;
 double wall_height=0.0;
-char *brick_name="brick";
+const char *brick_name="brick";
 int standalone=0;
 int make_mortar=0;	/* put mortar between bricks */
 double tol=0.125;	/* minimum mortar thickness in in */
@@ -56,7 +56,7 @@
 /*
  * U S A G E --- tell user how to invoke this program, then exit
  */
-void usage(char *s)
+void usage(const char *s)
 {
     if (s) (void)fputs(s, stderr);
 
@@ -144,7 +144,7 @@
 		    wall_height = d;
 		break;
 	    case 'n':
-		brick_name = bu_optarg;
+		brick_name = (char *)bu_optarg;
 		break;
 	    case 's':
 		standalone = !standalone;
Index: src/proc-db/tea_nmg.c
===================================================================
--- src/proc-db/tea_nmg.c	(revision 54124)
+++ src/proc-db/tea_nmg.c	(working copy)
@@ -160,9 +160,9 @@
 main(int argc, char **argv)
 {
     struct nmgregion *r;
-    char *id_name = "BRL-CAD t-NURBS NMG Example";
-    char *tea_name = "UtahTeapot";
-    char *uplot_name = "teapot.pl";
+    const char *id_name = "BRL-CAD t-NURBS NMG Example";
+    const char *tea_name = "UtahTeapot";
+    const char *uplot_name = "teapot.pl";
     struct bu_list vhead;
     FILE *fp;
     int i;
Index: src/proc-db/wdb_example.c
===================================================================
--- src/proc-db/wdb_example.c	(revision 54124)
+++ src/proc-db/wdb_example.c	(working copy)
@@ -42,7 +42,7 @@
 #include "wdb.h"
 
 
-char *progname ="(noname)";
+const char *progname ="(noname)";
 
 void usage(void)
 {
Index: src/proc-db/globe.c
===================================================================
--- src/proc-db/globe.c	(revision 54124)
+++ src/proc-db/globe.c	(working copy)
@@ -36,7 +36,7 @@
 #include "rtgeom.h"
 #include "wdb.h"
 
-char *progname ="globe";
+const char *progname ="globe";
 
 void usage(void)
 {
